changeset 1024:0fd90ff771dc

Build zlib for squashfs, so we don't depend on the host having it.
author Rob Landley <rob@landley.net>
date Thu, 01 Apr 2010 02:39:54 -0500
parents 8f200b975ea2
children ec5b62d300c0
files download.sh host-tools.sh
diffstat 2 files changed, 14 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/download.sh	Mon Mar 29 19:02:55 2010 -0500
+++ b/download.sh	Thu Apr 01 02:39:54 2010 -0500
@@ -101,6 +101,10 @@
 SHA1=e86b33d8997d24ceaf6e64afa20bfc7f5f2425b4 \
 maybe_fork "download || dienow"
 
+URL=http://zlib.net/zlib-1.2.4.tar.bz2 \
+SHA1=8cf10521c1927daa5e12efc5e1725a0d70e579f3 \
+maybe_fork "download || dienow"
+
 URL=http://downloads.sf.net/squashfs/squashfs4.0.tar.gz \
 SHA1=3efe764ac27c507ee4a549fc6507bc86ea0660dd \
 RENAME="s/(squashfs)(.*)/\1-\2/" \
--- a/host-tools.sh	Mon Mar 29 19:02:55 2010 -0500
+++ b/host-tools.sh	Thu Apr 01 02:39:54 2010 -0500
@@ -165,10 +165,18 @@
 if [ ! -f "${STAGE_DIR}"/mksquashfs ] &&
   ([ -z "$SYSIMAGE_TYPE" ] || [ "$SYSIMAGE_TYPE" == squashfs ])
 then
+  setupfor zlib &&
+  ./configure &&
+  make -j $CPUS &&
+  mv z*.h libz.a ..
+
+  cleanup
+
   setupfor squashfs &&
   cd squashfs-tools &&
-  make -j $CPUS &&
-  cp mksquashfs unsquashfs "${STAGE_DIR}"
+  CC="$CC -I ../.. -L ../.." make -j $CPUS  &&
+  cp mksquashfs unsquashfs "${STAGE_DIR}" &&
+  rm ../../{z*.h,libz.a}
 
   cleanup
 fi